Runtime

## org.eclipse.gmf.runtime.notation
Interface Image

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ImageImpl

    public interface Image

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Image'.

An image is representing a serialization of an image file

The following features are supported:

- `Data`

See Also:
  `NotationPackage.getImage()`
** Generated **
Model:

Method Summary
`byte[]` `getData()` Returns the value of the 'Data' attribute
`void` `setData(byte[] value)` Sets the value of the '`Data`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getData

    byte[] getData()

  Returns the value of the 'Data' attribute.

  The data is a blop representing the image data. The returned `byte[]` is not expected to be changed. If a change is requried, it has to be through the `setData()` API

  Returns:
    the value of the 'Data' attribute.
  See Also:
    `setData(byte[])`, `NotationPackage.getImage_Data()`
  ** Generated **
  Model:

### setData

    void setData(byte[] value)

  Sets the value of the '`Data`' attribute.

  The data is a blop representing the image data.

  Parameters:
    `value` - the new value of the 'Data' attribute.
  See Also:
    `getData()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.